package com.fjhx.mail.entity.enterprise.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业邮箱
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_mailbox")
public class EnterpriseMailbox extends BasePo {

    /**
     * 企业邮箱域名id
     */
    private Long domainId;

    /**
     * mail账号前缀
     */
    private String mailUserPrefix;

    /**
     * mail授权码
     */
    private String mailPassword;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;

    /**
     * 默认邮箱: 1默认 0非默认
     */
    private Integer defaultStatus;

    /**
     * 用户id
     */
    private Long userId;

}
